Skip to Content
kosemdocs
ReferenceAPIQuota increase requests

List quota increase requests

Lists an organization's quota increase requests, newest first.

GET
/v1/organizations/{organization}/quotaIncreaseRequests

Lists an organization's quota increase requests, newest first.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of quotas to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

quotaIncreaseRequests*array<>

Requests, newest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/quotaIncreaseRequests'
Example Response
{
  "nextPageToken": "string",
  "quotaIncreaseRequests": [
    {
      "answer": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "decideTime": "2019-08-24T14:15:22Z",
      "desiredLimit": 0,
      "displayName": "string",
      "grantedLimit": 0,
      "justification": "string",
      "limit": 0,
      "name": "string",
      "plan": "TEAM",
      "quotaId": "string",
      "requester": "string",
      "state": "PENDING",
      "usage": 0
    }
  ]
}